[arch-commits] Commit in mercurial/repos (extra-i686 extra-i686/PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Tue Nov 3 13:33:55 EST 2009


    Date: Tuesday, November 3, 2009 @ 13:33:55
  Author: andrea
Revision: 58104

Merged revisions 58103 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/mercurial/trunk

........
  r58103 | andrea | 2009-11-03 19:33:16 +0100 (Tue, 03 Nov 2009) | 2 lines
  
  upgpkg: mercurial 1.3.1-2
      FS#16867
........

Modified:
  mercurial/repos/extra-i686/	(properties)
  mercurial/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)


Property changes on: mercurial/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /mercurial/trunk:1-47662
   + /mercurial/trunk:1-58103

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-03 18:33:16 UTC (rev 58103)
+++ extra-i686/PKGBUILD	2009-11-03 18:33:55 UTC (rev 58104)
@@ -2,32 +2,32 @@
 # Contributor: Jeff Mickey <jeff at archlinux.org>
 # Contributor: Giovanni Scafora <linuxmania at gmail.com>
 # Contributor: David 'SleepyDog' <goodluv at gmail.com>
-# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=mercurial
 pkgver=1.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A scalable distributed SCM tool"
 url="http://www.selenic.com/mercurial"
-license=("GPL")
-depends=('python>=2.6')
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('python>=2.6' 'tk')
 source=(http://www.selenic.com/mercurial/release/$pkgname-$pkgver.tar.gz)
-arch=('i686' 'x86_64')
+md5sums=('6504f0dc32bd7ecf59a9f7f719432e76')
 
 build() {
     cd $srcdir/$pkgname-$pkgver
-    python setup.py install --root $pkgdir
+    python setup.py install --root $pkgdir || return 1
 
     install -d $pkgdir/usr/share/man/{man1,man5}
-    install -m644 doc/hg.1 $pkgdir/usr/share/man/man1
-    install -m644 doc/{hgrc.5,hgignore.5} $pkgdir/usr/share/man/man5
-    install -m755 contrib/hgk $pkgdir/usr/bin
-    install -m644 -D contrib/zsh_completion $pkgdir/usr/share/zsh/site-functions/_hg
-    install -m644 -D contrib/bash_completion $pkgdir/etc/bash_completion.d/hg 
+    install -m644 doc/hg.1 $pkgdir/usr/share/man/man1 || return 1
+    install -m644 doc/{hgrc.5,hgignore.5} $pkgdir/usr/share/man/man5 || return 1
+    install -m755 contrib/hgk $pkgdir/usr/bin || return 1
+    install -m644 -D contrib/zsh_completion $pkgdir/usr/share/zsh/site-functions/_hg || return 1
+    install -m644 -D contrib/bash_completion $pkgdir/etc/bash_completion.d/hg || return 1
     install -d $pkgdir/usr/share/emacs/site-lisp
-    install -m644 contrib/{mq.el,mercurial.el} $pkgdir/usr/share/emacs/site-lisp
+    install -m644 contrib/{mq.el,mercurial.el} $pkgdir/usr/share/emacs/site-lisp || return 1
      
     vimpath="$pkgdir/usr/share/vim"
-    install -m644 -D contrib/vim/HGAnnotate.vim $vimpath/syntax/HGAnnotate.vim
+    install -m644 -D contrib/vim/HGAnnotate.vim $vimpath/syntax/HGAnnotate.vim || return 1
 }
-md5sums=('6504f0dc32bd7ecf59a9f7f719432e76')



More information about the arch-commits mailing list